package com.mcwl.web.controller.resource;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.resource.domain.MallProduct;
import com.mcwl.resource.domain.vo.MallProductVo;
import com.mcwl.resource.service.MallProductLikeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 点赞商品
 * @author DaiZibo
 * @date 2025/1/2
 * @apiNote
 */

@RequestMapping("like")
@RestController
public class MallProductLikeController {

    @Autowired
    private MallProductLikeService mallProductLikeService;

    @PostMapping("/selectByUserLike")
    public AjaxResult selectByUserLike(@RequestBody MallProductVo mallProductVo){

        Page<MallProduct> mallProductPage = mallProductLikeService.selectByUserLike(mallProductVo);
        return AjaxResult.success(mallProductPage);
    }
}
