package com.mcwl.memberCenter;

import com.mcwl.McWlApplication;
import com.mcwl.common.utils.ShareCodeUtils;
import com.mcwl.memberCenter.consumer.EmptyPointsRemindConsumer;
import com.mcwl.memberCenter.domain.UserMember;
import com.mcwl.memberCenter.service.MemberService;
import com.mcwl.memberCenter.service.UserMemberService;
import com.mcwl.memberCenter.task.UserMemberTask;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = McWlApplication.class)
public class MemberTest {


    @Autowired
    private MemberService memberService;

    @Autowired
    private UserMemberService userMemberService;

    @Autowired
    private UserMemberTask userMemberTask;

    @Autowired
    private EmptyPointsRemindConsumer emptyPointsRemindConsumer;
    @Test
    public void createUserMember() {
        System.out.println(userMemberService.createUserMember(1L, 1013L, "wechat"));
    }

    @Test
    public void emptyPointsTaskTest() {
        userMemberTask.emptyPointsTsk();
    }

    @Test
    public void updateSubscriptionStatusTaskTest() {
        userMemberTask.updateSubscriptionStatusTask();
    }

    @Test
    public void emptyPointsRemindTaskTst() {

        userMemberTask.emptyPointsRemindTask();
    }

    @Test
    public void memberServiceTest() {
        System.out.println(memberService.list());
    }

}
